<?php
 
session_start();
include("DMMYSQLG.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
//$fec = $_POST["t1"];
    include('DF20000.php');
	include('cat_maestros_CL.php');
	$varible_clase = new clase();
	$varible_clase->ncto=strtoupper($_POST["tap2"]);
	$varible_clase->ntipo=strtoupper($_POST["ntipo"]);
	$varible_clase->ntfa_senc=strtoupper($_POST["ntfa_senc"]);
	$varible_clase->ntfa_doble=strtoupper($_POST["ntfa_doble"]);
	$varible_clase->ntfa_adic=strtoupper($_POST["ntfa_adic"]);
	$varible_clase->npropietario=strtoupper($_POST["npropietario"]);
	$varible_clase->ncolonia=strtoupper($_POST["tcol"]);
	$varible_clase->ncp=strtoupper($_POST["tcp"]);
	$varible_clase->ntelefono=strtoupper($_POST["ntelefono"]);
	$varible_clase->nteleofna=strtoupper($_POST["nteleofna"]);
	$varible_clase->nfax=strtoupper($_POST["nfax"]);
	$varible_clase->nciudad=strtoupper($_POST["tmun"]);
	$varible_clase->ndirecc=strtoupper($_POST["ndirecc"]);
	$varible_clase->npais=strtoupper($_POST["pais"]);
	$varible_clase->nestado=strtoupper($_POST["estados"]);
	$varible_clase->nobservaciones=strtoupper($_POST["nobservaciones"]);
	$varible_clase->nstarecep=strtoupper($_POST["nstarecep"]);
	$varible_clase->nstaamalla=strtoupper($_POST["nstaamalla"]);
	$fec = $_POST['nfecultocu'];
	include('DF20000.php');
	$varible_clase->nfecultocu = $f_m;
	//$varible_clase->nfecultocu=strtoupper($_POST["nfecultocu"]);
        if(!isset($_POST["nfueraserv"]))$_POST["nfueraserv"]="";
	$varible_clase->nfueraserv=strtoupper($_POST["nfueraserv"]);
	$varible_clase->status=strtoupper($_POST["select"]);
	$fec = $_POST['nfecinifuera'];
	include('DF20000.php');
	$varible_clase->nfecinifuera = $f_m;
	//$varible_clase->nfecinifuera=strtoupper($_POST["nfecinifuera"]);
	$fec = $_POST['nfecfinfuera'];
	include('DF20000.php');
	$varible_clase->nfecfinfuera = $f_m;
	//$varible_clase->nfecfinfuera=strtoupper($_POST["nfecfinfuera"]);
	if(!isset($_POST["nusuario"]))$_POST["nusuario"]="";
        $varible_clase->nusuario=strtoupper($_POST["nusuario"]);
        if(!isset($_POST["nhora"]))$_POST["nhora"]="";
	$varible_clase->nhora=strtoupper($_POST["nhora"]);
    
	
	
	
	
	$varible_clase->pordias=strtoupper($_POST["pordias"]);
	$varible_clase->ocupado=strtoupper($_POST["ocupado"]);
	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>EL REGISTRO YA EXISTE</h2>';
		echo '<meta content="1; url=cat_maestros_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		$ultimo_id = mysqli_insert_id($con); 
		echo '<h2>CATALOGO MAESTRO CUARTOS AGREGADO:'.$ultimo_id.'</h2>';
		echo '<meta content="1; url=cat_maestros_PR.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO AGREGAR EL CATALOGO</h2>';
		echo $res;
	//	echo '<meta content="3; url=cat_maestros_PR.php" HTTP-EQUIV="REFRESH">';
	}    	
?>
</body>
</html>